import { Coords } from '../utils';
import { PointerMoveAction } from './pointerMove';
import { PointerPressAction } from './pointerPress';
import { inputDeviceState, pointerOptions } from './types';
export declare type PointerActionTarget = {
    target?: Element;
    coords?: Partial<Coords>;
};
export declare type PointerAction = PointerActionTarget & (Omit<PointerPressAction, 'target' | 'coords'> | Omit<PointerMoveAction, 'target' | 'coords'>);
export declare function pointerAction(actions: PointerAction[], options: pointerOptions, state: inputDeviceState): Promise<unknown[]>;
