import type { pointerState } from '../../pointer/types';
import type { keyboardState } from '../../keyboard/types';
import { MouseButton } from './mouseButtons';
export interface Coords {
    x: number;
    y: number;
    clientX: number;
    clientY: number;
    offsetX: number;
    offsetY: number;
    pageX: number;
    pageY: number;
}
export declare function firePointerEvent(target: Element, type: string, { pointerState, keyboardState, pointerType, button, coords, pointerId, isPrimary, clickCount, }: {
    pointerState: pointerState;
    keyboardState: keyboardState;
    pointerType?: 'mouse' | 'pen' | 'touch';
    button?: MouseButton;
    coords: Coords;
    pointerId?: number;
    isPrimary?: boolean;
    clickCount?: number;
}): boolean;
