declare type EventHandlers = Record<string, EventListener>;
declare type HTMLCollection<Elements extends Array<Element>> = Elements & {
    item<N extends number>(i: N): Elements[N];
};
declare function setup<Elements extends Element | Element[] = HTMLElement>(ui: string, { eventHandlers, }?: {
    eventHandlers?: EventHandlers;
}): {
    getEventSnapshot: () => {
        snapshot: string;
    };
    getClickEventsSnapshot: () => {
        snapshot: string;
    };
    clearEventCalls: () => void;
    getEvents: (type?: string | undefined) => Event[];
    eventWasFired: (eventType: string) => boolean;
    element: (Elements extends Element[] ? Elements : [Elements])[0];
    elements: HTMLCollection<Elements extends Element[] ? Elements : [Elements]>;
};
declare function setupSelect({ disabled, disabledOptions, multiple, pointerEvents, }?: {
    disabled?: boolean | undefined;
    disabledOptions?: boolean | undefined;
    multiple?: boolean | undefined;
    pointerEvents?: string | undefined;
}): {
    form: HTMLFormElement;
    select: HTMLSelectElement;
    options: HTMLOptionElement[];
    getEventSnapshot: () => {
        snapshot: string;
    };
    getClickEventsSnapshot: () => {
        snapshot: string;
    };
    clearEventCalls: () => void;
    getEvents: (type?: string | undefined) => Event[];
    eventWasFired: (eventType: string) => boolean;
};
declare function setupListbox(): {
    listbox: HTMLUListElement;
    options: HTMLElement[];
    getEventSnapshot: () => {
        snapshot: string;
    };
    getClickEventsSnapshot: () => {
        snapshot: string;
    };
    clearEventCalls: () => void;
    getEvents: (type?: string | undefined) => Event[];
    eventWasFired: (eventType: string) => boolean;
};
declare function addEventListener(el: EventTarget, type: string, listener: EventListener, options?: AddEventListenerOptions): void;
declare type TestData = {
    handled?: boolean;
    before?: Element;
    after?: Element;
};
declare function addListeners(element: Element & {
    testData?: TestData;
}, { eventHandlers, }?: {
    eventHandlers?: EventHandlers;
}): {
    getEventSnapshot: () => {
        snapshot: string;
    };
    getClickEventsSnapshot: () => {
        snapshot: string;
    };
    clearEventCalls: () => void;
    getEvents: (type?: string | undefined) => Event[];
    eventWasFired: (eventType: string) => boolean;
};
export { setup, setupSelect, setupListbox, addEventListener, addListeners };
